/* Menu Sidebar 
@media #{$query991} {
}*/
.menu_sticky {
    background: #fff;
    height: 100%;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    text-align: center;
    width: 70px;
    position: absolute;
    left: 0;
    top: 0;

    .caption {
        position: absolute;
        left: 50%;
        top: 50%;
        color: $black;
        white-space: nowrap;
        width: 270px;
        text-transform: uppercase;

        @media #{$query767} {
            display: none;
        }

        .inner {
            @include transform(translateX(-50%) translateY(-50%) rotate(-90deg));
            display: block;
        }
    }

    .user_img {
        @media #{$query767} {
            display: none;
        }
        figure {
            @include bg_round_image(50px, center, cover, 50%);
            margin: 0 auto 20px;
        }
    }
}
.menu_sidebar {
    width: 70px;
    height: 100%;
    background: #fff;
    position: fixed;
    left: 0;
    z-index: 999;
    display: flex;
    margin: auto;
    @extend %transition;
    .menu-open & {
        visibility: visible;
        opacity: 1;        
    }
    @media #{$query767} {
        width: 60px;
        height: 60px;
    }
}

.overlay_menu {
    background-color: $black;
    opacity: 0;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    position: fixed;
    visibility: hidden;
    @extend %transition;
    .menu-open & {
        opacity: 0.8;
        visibility: visible;
        z-index: 1;  
    }
}
.menu_wrap_outer {
    visibility: hidden;
    opacity: 0;
    background-color: $white;
    max-width: 80%;
    width: 100%;
    height: 100%;
    position: fixed;
    left: 70px;
    top: 0px;
    @media #{$query767} {
        left: 0px;
    }
    @include transition(all 0.35s ease-in-out);        
    .menu_wrap_inner {
        padding: 25px;
        height: 100%;
        overflow-y: auto;
        @media #{$query767} {
            padding: 25px 0px 0px 60px;
        }
        .container {
            max-width: 100%;
            width: 100%;
        }
    }
    .menu-open & {
        visibility: visible;
        opacity: 1;
    }
    @media #{$query767} {
        max-width: 100%;
    }
}

.header {
    .bottom_section {
        max-width: 500px;
        width: 100%;
        margin-top: 35px;
        @media #{$query767} {
            margin-bottom: 80px;
        }
        .login_btn {
            text-transform: uppercase;
            color: $black;
            font-weight: 700;
            padding: 0;
            margin-bottom: 10px;

            &:hover {
                background-color: transparent;
                color: $pink;

                .arrow {
                    background-position: 18px 0;
                }
            }
        }
        hr {

        }
        .copyright_header {
            color: #a7a7a7;
            font-size: 13px;
            span, a {
                font-weight: bold;
                color: $black;
            }
            p {
                &:last-child {
                    margin-bottom: 0px;
                }
            }
        }
    }
    .user {
        margin-bottom: 35px;
        figure {
            @include bg_round_image(70px, center, cover, 50%);
            margin-bottom: 0px;
            margin-right: 15px;
        }
        .user-name {
            h5 {
                color: $black;
                font-weight: 700;
                text-transform: uppercase;
                margin-bottom: 0px;
            }
            span {
                color: #b2b2b2;
                font-weight: 300;
            }
        }
    }
}

.menu_toggle {
    button {
        outline: none;
        padding: 0;
        display: block;
        height: 32px;
        width: 33px;
        margin: 15px auto 0 auto;
        position: relative;
        z-index: 9;

        span {
            color: #000;
            width: 30px;
            height: 3px;
            display: block;
            background-color: #000;
        }
    }
    .top_bar , .middle_bar , .bottom_bar{
        @extend %transition;
    }
    .top_bar {
        @include transform(translate3d(0, -8px, 0));
    }
    .middle_bar {
        @include transform-origin(center center);
        @include transform(scale(1));
    }
    .bottom_bar {
        @include transform(translate3d(0, 8px, 0));
    }
}
.menu-open {
    .top_bar {
        @include transform(rotate(-40deg) translate3d(0 ,0px , 0));
        width: 10px !important;
    }
    .middle_bar {
        @include transform(scale(1));
    }
    .bottom_bar {
        @include transform(rotate(40deg) translate3d(0 ,0px , 0));
        width: 10px !important;
    }
}

.menu_social_links {
    background: #f5f5f5;
    width: auto;
    height: 100vh;
    position: absolute;
    z-index:10;
    right: 0;
    top: 0;
    @media #{$query767} {
        width: 100%;
        height: 50px;
        top: auto;
        bottom: 0;
        text-align: center;
    }
    ul{
        padding: 0px;
        margin: 0px;
        @media #{$query767} {
            width: 100%;
        }
        li{
            @media #{$query767} {
                display: inline-block;
            }
            list-style: none;
            a {
                padding: 30px 25px;
                display: block;
                color: #c0c0c0;
                text-align: center;
                &:hover {
                    color: #000;
                }
                @media #{$query767} {
                    padding: 15px 25px;
                }
            }
        }
    }
}

.main-navbar {
    ul {
        @extend %unstlye;
        li {
            margin-bottom: 10px;
            a {
                display: inline-block;
                text-decoration: none;
                position: relative;
                color: #c0c0c0;
                font-weight: 600;
                font-size: 22px;
                text-transform: uppercase;
                line-height: 1.2em;
                @extend %transition;
                @media #{$query767} {
                    font-size: 18px;
                }

                &:before {
                    content: '';
                    width: 0px;
                    height: 100%;
                    position: absolute;
                    left: 0px;
                    top: 0px;
                    background-color: $black;
                    @extend %transition;
                }

                &:hover {
                    padding-left: 18px;
                    color: $black;
                    &:before {
                        width: 8px;
                    }
                }
            }
        }
    }
}